{
        name: "Absorb Bulb",
        spritenum: 2,
        fling: {
            basePower: 30,
        },
        onDamagingHit(damage, target, source, move) {
            if (move.type === 'Water') {
                this.boost({spa: 1}, target, target);
            }
            if (move.type === 'Bug') {
                target.useItem();
            }
        },
        num: 545,
        gen: 5,
    }
